SignSecureSignSecure Docs
Documents

Generate Upload URL

Generate a new presigned upload URL for a draft document. Useful if the original URL has expired.

POST
/documents/{documentId}/uploads

Generate a new presigned upload URL for a draft document. Useful if the original URL has expired.

Authorization

bearerAuth
AuthorizationBearer <token>

API key as Bearer token. Format: signsecure_xxxxxxxx...

In: header

Path Parameters

documentId*string

The document ID

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://api.signsecure.com/api/v1/documents/string/uploads"
{
  "uploadUrl": "string",
  "fileKey": "string",
  "expiresIn": 3600
}
{
  "code": "INVALID_STATUS",
  "message": "Document upload can only be done for draft documents",
  "requestId": "req_abc123",
  "timestamp": "2026-03-11T10:30:00.000Z"
}
{
  "code": "UNAUTHORIZED",
  "message": "Invalid or missing API key",
  "requestId": "req_abc123",
  "timestamp": "2026-03-11T10:30:00.000Z"
}

{
  "code": "FORBIDDEN",
  "message": "API key is disabled",
  "requestId": "req_abc123",
  "timestamp": "2026-03-11T10:30:00.000Z"
}

{
  "code": "NOT_FOUND",
  "message": "Document not found",
  "requestId": "req_abc123",
  "timestamp": "2026-03-11T10:30:00.000Z"
}
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "An internal error occurred",
  "requestId": "req_abc123",
  "timestamp": "2026-03-11T10:30:00.000Z"
}